Page MenuHomePhabricator

Owner-only consumer fails when Identifying over OAuth
Closed, ResolvedPublic

Description

Anomie has more details on what's causing it, but when trying to run identify on OAuth it returns a mwoauth-invalid-authorization-not-approved error. This error says the current user can't use this consumer. That would make sense for unapproved consumers, but not for owner-only.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 2:23 PM
Cyberpower678 triaged this task as High priority.Oct 26 2016, 2:24 PM

Change 318098 had a related patch set uploaded (by Anomie):
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318098

Change 318098 merged by jenkins-bot:
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318098

Change 318219 had a related patch set uploaded (by Gergő Tisza):
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318219

Change 318236 had a related patch set uploaded (by Gergő Tisza):
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318236

Change 318236 merged by jenkins-bot:
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318236

Change 318219 merged by jenkins-bot:
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318219

Mentioned in SAL (#wikimedia-operations) [2016-10-27T02:31:17Z] <tgr@tin> Synchronized php-1.28.0-wmf.22/extensions/OAuth/: deploy fix for T149194 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2016-10-27T02:32:32Z] <tgr@tin> Synchronized php-1.28.0-wmf.23/extensions/OAuth/: deploy fix for T149194 (duration: 00m 47s)

Tgr closed this task as Resolved.Oct 27 2016, 3:03 AM

Change 318458 had a related patch set uploaded (by Gergő Tisza):
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318458

Change 318459 had a related patch set uploaded (by Gergő Tisza):
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318459

Change 318460 had a related patch set uploaded (by Gergő Tisza):
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318460

Change 318458 merged by jenkins-bot:
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318458

Change 318460 merged by Gergő Tisza:
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318460

Change 318459 merged by Gergő Tisza:
Use correct user for isUsableBy check in Special:OAuth/identify

https://gerrit.wikimedia.org/r/318459